package main

import (
	"context"
	"github.com/loveuer/nf/nft/log"
	"os/signal"
	"syscall"
	"uauth/internal/cmd"
)

func main() {
	ctx, cancel := signal.NotifyContext(context.Background(), syscall.SIGHUP, syscall.SIGINT, syscall.SIGTERM, syscall.SIGQUIT)
	defer cancel()

	if err := cmd.Command.ExecuteContext(ctx); err != nil {
		log.Error(err.Error())
	}
}
