package model

type Client struct {
	Id        uint64 `json:"id" gorm:"primaryKey;column:id"`
	CreatedAt int64  `json:"created_at" gorm:"column:created_at;autoCreateTime:milli"`
	UpdatedAt int64  `json:"updated_at" gorm:"column:updated_at;autoUpdateTime:milli"`
	DeletedAt int64  `json:"deleted_at" gorm:"index;column:deleted_at;default:0"`

	ClientId     string `json:"client_id" gorm:"unique;column:client_id;type:varchar(128)"`
	ClientSecret string `json:"client_secret" gorm:"column:client_secret;type:varchar(32)"`
	Name         string `json:"name" gorm:"column:name;type:varchar(256)"`
	Icon         string `json:"icon" gorm:"column:icon"`
}
